# inspired from fedora spec file
# Copyright (c) 2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     container
%define composer_name   container
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   1.0.0
Release:   %mkrel 1
Summary:   Common Container Interface
Group:     Development/PHP
License:   MIT
URL:       https://github.com/php-fig/container
Source0:   https://github.com/php-fig/http-message/archive/%{github_name}-%{version}.tar.gz

BuildArch: noarch

# From composer.json,    "require": {
#        "php": ">=5.3.0"
Requires:  php >= 5.3.0
# phpcompatinfo (computed from version 1.0.0)
#     <none>
# Autoloader
Requires:  php-composer(fedora/autoloader)

# Composer
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
This package holds all interfaces/classes/traits related to PSR-11.

Note that this is not a container implementation of its own. 

Autoloader: %{_datadir}/php/Psr/Container/autoload.php


%prep
%setup -qn %{github_name}-%{version}

: Create autoloader
cat <<'AUTOLOAD' | tee src/autoload.php
<?php
/* Autoloader for %{pk_vendor}/%{pk_project} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Container\\', __DIR__);
AUTOLOAD


%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Psr
cp -rp src %{buildroot}%{php_libdir}/Psr/Container

%files
%doc LICENSE
%doc *.md
%doc composer.json
%dir %{php_libdir}/Psr
%{php_libdir}/Psr/Container


%changelog
* Wed May 10 2017 guillomovitch <guillomovitch> 1.0.0-1.mga6
+ Revision: 1099949
- imported package php-psr-container

